Export ATO tax report
curl --request POST \
--url https://api.ai2fin.com/api/export/ato \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"financialYear": "2024"
}
'import requests
url = "https://api.ai2fin.com/api/export/ato"
payload = { "financialYear": "2024" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({financialYear: '2024'})
};
fetch('https://api.ai2fin.com/api/export/ato', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Analytics & Reports
Export ATO tax report
Generate ATO-compliant tax deduction report
POST
/
api
/
export
/
ato
Export ATO tax report
Authorizations
bearerAuthcookieAuth
First-party access token for your own signed-in session, obtained from the /api/enterprise-auth/login endpoint. The REST API returns your own account data to you — it is a first-party consumer surface, not a third-party integration channel. Data from connected bank feeds (open-banking / CDR data) is your own data, returned only to you in your own authenticated session.
Body
application/json
Response
200 - application/octet-stream
Export generated
The response is of type file.
Was this page helpful?
⌘I
